------------------------------------------------------------------------------
--
-- Filename:                and2.vhd
-- Inhalt:                  Zeitabhaengiges Modell eines AND-Gatters 
--                          mit zwei Eingaengen, verwendet Typ "bit"
--
------------------------------------------------------------------------------
--
-- Autor:                   Bernhard Wunder  
-- Letzte Aenderung:        18.01.1994
--
------------------------------------------------------------------------------

ENTITY and2 IS

    GENERIC (tpd_lh: time := 230 ps; 
             tpd_hl: time := 170 ps);
    PORT (a,b: IN bit; y: OUT bit);

END and2;

------------------------------------------------------------------------------

ARCHITECTURE behavioral OF and2 IS
    
BEGIN

    y <= '1' AFTER tpd_lh WHEN (a AND b) = '1' ELSE
         '0' AFTER tpd_hl;

END behavioral;

------------------------------------------------------------------------------

CONFIGURATION and2_config OF and2 IS

    FOR behavioral
    END FOR;

END and2_config;


