------------------------------------------------------------------------------
--
-- Filename:                and3.vhd
-- Inhalt:                  Zeitabhaengiges Modell eines AND-Gatters 
--                          mit drei Eingaengen, verwendet Typ "bit"
--
------------------------------------------------------------------------------
--
-- Autor:                   Bernhard Wunder  
-- Letzte Aenderung:        18.01.1994
--
------------------------------------------------------------------------------

ENTITY and3 IS

    GENERIC (tpd_lh: time := 360 ps; 
             tpd_hl: time := 260 ps);
    PORT (a,b,c: IN bit := '1' ; y: OUT bit); -- Defaultwert fuer Eingangsport

END and3;

------------------------------------------------------------------------------

ARCHITECTURE behavioral OF and3 IS

BEGIN

    y <= '1' AFTER tpd_lh WHEN (a AND b AND c) = '1' ELSE
         '0' AFTER tpd_hl;

END behavioral;

------------------------------------------------------------------------------

CONFIGURATION and3_config OF and3 IS

    FOR behavioral
    END FOR;

END and3_config;


