------------------------------------------------------------------------------
--
-- Filename:                not1.vhd
-- Inhalt:                  Zeitabhaengiges Modell eines Inverters,
--                          verwendet Typ "bit"
--
------------------------------------------------------------------------------
--
-- Autor:                   Bernhard Wunder  
-- Letzte Aenderung:        18.12.93
--
------------------------------------------------------------------------------

ENTITY not1 IS

    GENERIC (tpd_lh: time := 0.180 ns; 
             tpd_hl: time := 0.180 ns);
    PORT (a: IN bit; y: OUT bit);

END not1;

------------------------------------------------------------------------------

ARCHITECTURE behavioral OF not1 IS

BEGIN

    y <= '1' AFTER tpd_lh WHEN NOT a = '1' ELSE
         '0' AFTER tpd_hl ;

END behavioral;

------------------------------------------------------------------------------

CONFIGURATION not1_config OF not1 IS

    FOR behavioral
    END FOR;

END not1_config;


