------------------------------------------------------------------------------
--
-- Filename:                or2.vhd
-- Inhalt:                  Zeitabhaengiges Modell eines OR-Gatters mit
--                          zwei Eingaengen, verwendet Typ "bit"
--
------------------------------------------------------------------------------
--
-- Autor:                   Bernhard Wunder  
-- Letzte Aenderung:        18.01.1994
--
------------------------------------------------------------------------------

ENTITY or2 IS

    GENERIC (tpd_lh: time := 180 ps; 
             tpd_hl: time := 240 ps);
    PORT (a,b: IN bit; y: OUT bit);

END or2;

------------------------------------------------------------------------------

ARCHITECTURE behavioral OF or2 IS

BEGIN

    y <= '1' AFTER tpd_lh WHEN (a OR b) = '1' ELSE
         '0' AFTER tpd_hl;

END behavioral;

------------------------------------------------------------------------------

CONFIGURATION or2_config OF or2 IS

    FOR behavioral
    END FOR;

END or2_config;


