------------------------------------------------------------------------------
--
-- Filename:                scope.vhd
-- Inhalt:                  Beispiele zu Gueltigkeit und
--                          Sichtbarkeit von Objekten
--
------------------------------------------------------------------------------
--
-- Autor:                   Bernhard Wunder 
-- Letzte Aenderung:        10.02.94
--
------------------------------------------------------------------------------

PACKAGE p IS
  CONSTANT c : integer := 1;
END p;

------------------------------------------------------------------------------

ENTITY e IS
  CONSTANT c : integer := 2;
END e;

------------------------------------------------------------------------------

ARCHITECTURE a OF e IS
  SIGNAL s1,s2,s3,s4,s5,s6,s7 : integer := 0;
BEGIN

  -- An dieser Stelle ist das Package p nicht bekannt: 
  -- zum Ansprechen von c ist der komplette Name work.p.c noetig

  -- Die Entity e ist in den zugehoerigen Architekturen bekannt!

  s6 <= work.p.c ;       -- benutzt c aus package p  : 1
  s7 <= c;               -- benutzt c aus entity e   : 2

  b : BLOCK
    CONSTANT c : integer := 3;
  BEGIN
    s3 <= c;             -- benutzt c aus block b    : 3
    x : PROCESS
      CONSTANT c : integer := 4;
      USE work.p;        -- mache Package p lokal sichtbar
    BEGIN
      s4 <= c;           -- benutzt c aus process x  : 4
      l : FOR c IN 5 TO 5 LOOP
        s1 <= p.c;       -- benutzt c aus package p  : 1
        s2 <= e.c;       -- benutzt c aus entity e   : 2
        s5 <= c;         -- benutzt c aus loop l     : 5
      END LOOP l;
      WAIT;
    END PROCESS x;
  END BLOCK;

END a;

------------------------------------------------------------------------------

CONFIGURATION c OF e IS
  FOR a END FOR;
END c;

------------------------------------------------------------------------------

