------------------------------------------------------------------------------
--
-- Filename:                alu_pack.vhd
-- Inhalt:                  Package fuer die Uebungsaufgabe ALU
--
------------------------------------------------------------------------------
--
-- Autor:                   Bernhard Wunder  
-- Letzte Aenderung:        20.01.1994
--
------------------------------------------------------------------------------

USE std.textio.all;

------------------------------------------------------------------------------

PACKAGE alu_pack IS

    TYPE command IS (con_ab, add_ab, add_of, mlt_ab, 
                     sh_l_b, sh_r_b, sh_l_k, sh_r_k, 
                     flip_b, flip_k, turn_b, turn_k) ;

    TYPE parity_8 IS RECORD
        vector : bit_vector(7 DOWNTO 0);
        parity : bit ;
    END RECORD ;
    TYPE parity_16 IS RECORD
        vector : bit_vector(15 DOWNTO 0);
        parity : bit ;
    END RECORD ;

    CONSTANT ram_offset : bit_vector(7 DOWNTO 0) ;
    CONSTANT input_filename : string ;                 -- deferred
    CONSTANT output_filename : string ;                -- constants

    FUNCTION str_to_command (input : string(1 TO 6)) RETURN command ;
    FUNCTION bit8_to_int (vector8 : bit_vector) RETURN integer ;
    FUNCTION int_to_bit16 (int65535 : integer) RETURN bit_vector ;
    FUNCTION create_parity_16 (vector16 : bit_vector) RETURN bit ;

    PROCEDURE check_parity_8(SIGNAL checking8  : IN parity_8) ;

END alu_pack;

