------------------------------------------------------------------------------
--
-- Filename:                bcd_tb.vhd
-- Inhalt:                  Strukturale Testbench der Anzeigesteuerung
--                          Verdrahtet das Stimulimodell (bcd_stim) mit
--                          der Anzeigesteuerung (bcd_4bit)
--
------------------------------------------------------------------------------
--
-- Autor:                   Gunther Lehmann
-- Letzte Aenderung:        07.02.94
--
------------------------------------------------------------------------------

USE work.bcd.ALL;

ENTITY bcd_tb IS
END bcd_tb;

------------------------------------------------------------------------------

ARCHITECTURE structural OF bcd_tb IS

        -- Komponentendeklaration
	COMPONENT mut_soc
		PORT( bcd4: IN inptype;
			takt: IN bit;
			a,b,c,d,e,f,g: OUT bit;
			stelle1,stelle2,stelle3,stelle4: OUT bit);
	END COMPONENT;

        -- Komponentendeklaration
	COMPONENT stim_soc
		PORT( bcd4: OUT inptype;
			takt: OUT bit;
			a,b,c,d,e,f,g: IN bit;
			stelle1,stelle2,stelle3,stelle4: IN bit);
	END COMPONENT;
	
        -- Verdrahtungssignale
	SIGNAL bcd4: inptype; 
	SIGNAL takt: bit;
	SIGNAL a,b,c,d,e,f,g: bit;
	SIGNAL stelle1,stelle2,stelle3,stelle4: bit;

BEGIN
        
        -- Zwei Komponenteninstantiierungen
	mut: mut_soc PORT MAP
           (bcd4,takt,a,b,c,d,e,f,g,stelle1,stelle2,stelle3,stelle4);
	stim: stim_soc PORT MAP
           (bcd4,takt,a,b,c,d,e,f,g,stelle1,stelle2,stelle3,stelle4);

END structural;

------------------------------------------------------------------------------

CONFIGURATION bcd_tb_config OF bcd_tb IS
	FOR structural 
		FOR mut: mut_soc
			USE CONFIGURATION work.bcd_4bit_config;
		END FOR;
		FOR stim: stim_soc
			USE CONFIGURATION work.bcd_stim_config;
		END FOR;
	END FOR;
END bcd_tb_config;
